Voir les messages sans réponses | Voir les sujets actifs Nous sommes le 21 Avr 2018, 19:12



Répondre au sujet  [ 3 messages ] 
[RESOLU]Impossible installer Inkscape 0.91 sur Debian 7.x 
Auteur Message
Que quelqu'un le fasse taire!
Que quelqu'un le fasse taire!

Inscription: 05 Jan 2005, 20:58
Messages: 1302
Localisation: LIEGE - BELGIQUE
Répondre en citant le message
Message [RESOLU]Impossible installer Inkscape 0.91 sur Debian 7.x
Bonjour,

Après avoir feuilleté des dizaines de tutos pour installer une version récente de Inkscape sur ma Debian 7, il ne m'est pas possible d'installer Inkscape 0.91 parce que le gestionnaire (pour utiliser le paquet inkscape_0.91-5~bpo8+1_amd64.deb) me dit qu'il faut une version de Python >= 2.7.x.
Or j'ai une version 2.7 ET une version 3.2 de Python installée sur ma machine.

Je suis sous Debian 7.x Wheezy (mise à niveau automatiquement) mais Inkscape 0.48 me pose de nombreux problèmes et plante régulièrement lorsque j'utilise TOUTES les extensions (aligner des objets le long d'un chemin, l'enveloppe, ...). À ce moment, malgré le fait que l'extension fait le travail (l'affichage immédiat me le montre), Inkscape se ferme brutalement.

Je lance Inkscape en console et au plantage j'ai ce message :
Citation:
Emergency save activated!
Emergency save completed. Inkscape will close now.
If you can reproduce this crash, please file a bug at http://www.inkscape.org
with a detailed description of the steps leading to the crash, so we can fix it.
Erreur de segmentation


C'est à cause de cela que je voulais installer une version plus récente.
Mais je ne comprends pas le message à propos de Python puisque Python 3.x est installé sur mon système.

Comment puis-je résoudre ce problème d'installation avortée (sans passer sous Debian 8.x) ?

Merci.

Édition du message :
J'ai pu rétablir le bon fonctionnement des extensions en créant un nouveau dessin puis en copiant les dessin du fichier "problématique" dans le nouveau, car malgré la suppression du profil utilisateur j'avais toujours ces dysfonctionnements des extensions.

Mais je ne sais toujours pas installer Inkscape 0.91 sur ma machine où l'installateur ne trouve pas Python 3.2 qui est installé sur ma machine.

_________________
COGITO ERGO SUM.
Linux DEBIAN 8, Inkscape 0.91, Scribus 1.4.1 et aussi Gimp, Blender, ...


19 Oct 2016, 08:43
Profil Site Internet
Admin d'Inkscape-fr
Avatar de l’utilisateur

Inscription: 27 Oct 2008, 21:31
Messages: 57
Répondre en citant le message
Message Re: Impossible installer Inkscape 0.91 sur Debian 7.x
Bonjour,

Citation:
Mais je ne comprends pas le message à propos de Python puisque Python 3.x est installé sur mon système.

Les extensions ne sont actuellement compatibles qu'avec Python 2.7. Certaines peuvent peut-être fonctionner avec 3.x, mais c'est pas garanti. Quoi qu'il en soit, Inkscape utilise l'exécutable python sans se poser de question. Comme avec Debian, Python 2.7 est encore la version par défaut, tout se passe bien en général, même si 2.7 et 3.2 sont installées conjointement.

Cela écrit, il semble que le paquet inkscape 0.91 ne soit pas prévu pour fonctionner avec Debian 7 (il s'agit d'un backport pour Debian 8...) et que du coup il s'attende à trouver une version de Python 2.7 qui soit celle de Debian 8. Et comme il s'agit désormais d'une dépendance forte (avec le paquet 0.45, Python était juste suggéré), ça bloque toute l'installation. Ou alors, il s'agit d'un défaut dans le paquet, mais je n'y crois pas trop.

Une solution pour faire fonctionner 0.91 (un chouïa un peu plus longue) consiste à compiler l'application à partir des sources diffusées sur le dépôt Launchpad (https://launchpad.net/inkscape), en t'aidant de la documentation officielle (http://wiki.inkscape.org/wiki/index.php ... g_Inkscape). Et si tu te sens aventureux, tu peux même essayer de compiler la 0.92 (future stable en courte finale) ;)

Bon courage !

_________________
Xubuntu 16.04 (Inkscape 0.92/master 64-bit), Windows 7 (0.92/master 64-bit).


31 Oct 2016, 09:22
Profil
Que quelqu'un le fasse taire!
Que quelqu'un le fasse taire!

Inscription: 05 Jan 2005, 20:58
Messages: 1302
Localisation: LIEGE - BELGIQUE
Répondre en citant le message
Message Re: Impossible installer Inkscape 0.91 sur Debian 7.x
Bonjour jazzynico,

Merci pour ces réponses précises.
Les congés de Toussaint seront une bonne chose pour m'essayer à la compilation.

A+

_________________
COGITO ERGO SUM.
Linux DEBIAN 8, Inkscape 0.91, Scribus 1.4.1 et aussi Gimp, Blender, ...


31 Oct 2016, 10:56
Profil Site Internet
Afficher les messages postés depuis:  Trier par  
Répondre au sujet   [ 3 messages ] 

Qui est en ligne

Utilisateurs parcourant ce forum: Aucun utilisateur enregistré et 5 invités


Vous ne pouvez pas poster de nouveaux sujets
Vous ne pouvez pas répondre aux sujets
Vous ne pouvez pas éditer vos messages
Vous ne pouvez pas supprimer vos messages

Rechercher:
Aller à:  
Powered by phpBB © 2000, 2002, 2005, 2007 phpBB Group.
Forum style by ST Software for PTF.
Traduction par: phpBB-fr.com